body {
    font-family: "Roboto", sans-serif;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #757575
}

.hotel-title {
    text-align: center;
    font-size: 36px;
    margin-top: 20px;
    color: #000;
    /* text-decoration: underline; */
}

.hotel-section-title {
    font-size: 20px;
    font-weight: bold;
    text-transform: uppercase;
}

.hotel-card {
    background-color: #fff;
    color: black;
    padding: 15px;
    border-radius: 10px;
    margin-bottom: 20px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    cursor: pointer;
}

.hotel-card-all {
    background-color: #a7a6d0;
    color: black;
    padding: 15px;
    border-radius: 10px;
    margin-bottom: 20px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

.hotel-img {
    width: 100%;
    height: 18vw;
    object-fit: cover;
    object-position: center;
}

.rating-badge {
    background-color: #4aa3e0;
    border-radius: 50%;
    padding: 10px;
    color: white;
    font-size: 18px;
    display: inline-block;
    margin-right: 10px;
}

.hotel-info {
    display: flex;
    flex-direction: row;
    align-items: start;
    text-align: left;
    flex-grow: 1;
    cursor: pointer;
}

.hotel-info div {
    text-align: left;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
    max-height: 7.5em;
    line-height: 1.5em;
}

.btn-back {
    background-color: #ffcc00;
    color: black;
    font-weight: bold;
}

/* .d-flex {
    padding-bottom: 2rem;
} */

/* Scrollbar khusus */
.col-12.d-flex.overflow-auto::-webkit-scrollbar {
    height: 8px;
}

.col-12.d-flex.overflow-auto::-webkit-scrollbar-track {
    background: #f1f1f1;
}

.col-12.d-flex.overflow-auto::-webkit-scrollbar-thumb {
    background: #888;
}

.col-12.d-flex.overflow-auto::-webkit-scrollbar-thumb:hover {
    background: #555;
}

@media (max-width: 577px) {
    body {
        transform: scale(1);
        /* Skala konten agar lebih kecil, meniru desktop */
        transform-origin: top left;
        /* width: 140%; */
        /* Sesuaikan lebar agar tetap terlihat */
    }

    .hotel-img {
        width: 40vw;
        height: 50vw;
    }

    .section-title {
        margin-bottom: 3.5rem;
    }

}

/* Menghilangkan scrollbar vertikal pada perangkat seluler */
@media (max-width: 767px) and (min-width: 578px) {

    .hotel-info div {
        font-size: 9px;
        max-height: 7.5em;
        line-height: 1.5em;
    }

    .rating-badge {
        padding: 5px;
        font-size: 9px;
        margin-right: 5px;
    }

    .container {
        max-width: 85%;
    }

    body {
        /* transform: scale(0.7); */
        /* Skala konten agar lebih kecil, meniru desktop */
        transform-origin: top left;
        /* width: 140%; */
        /* Sesuaikan lebar agar tetap terlihat */
    }

    .col-12 {
        overflow-y: hidden;
        -ms-overflow-style: none;
        /* IE 10+ */
        scrollbar-width: none;
        /* Firefox */
    }

    .col-12::-webkit-scrollbar {
        display: none;
        /* Safari dan Chrome */
    }
}


.floating-back-button {
    position: fixed;
    right: 20px;
    top: 50vh;
    transform: translateY(-50%);
    text-align: center;
    z-index: 1000;
}


.back-link {
    display: block;
    text-decoration: none;
    color: #000;
    font-weight: bold;
}

.back-icon {
    width: 80px !important;
    height: 80px !important;
    display: block;
    margin: 0 auto;
}

.back-link span {
    display: block;
    margin-top: 5px;
    font-size: 14px;
}


/* styles.css */
.loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    z-index: 9999;
    display: none;
    justify-content: center;
    align-items: center;
}

.loading-overlay .spinner {
    border: 8px solid rgba(0, 0, 0, 0.1);
    border-left-color: #000;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

.borde-row {
    /* background: linear-gradient(to right, #aacbfe, #558af2); */
    background: rgba(2, 0, 119, 0.35);
    border-radius: var(--bs-border-radius-lg);
    padding: 1rem;
    margin: .25rem;
    margin-bottom: 20px;
    --bs-border-opacity: 1;
    border-color: rgba(var(--bs-secondary-rgb), var(--bs-border-opacity));
    border: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color);
}

.packages-price {
    text-align: center;
    width: 70% !important;
    left: 50% !important;
}

.news-title {
    height: 10em;
    line-height: 1.6em;
    color: #000;
    text-align: left;
}


.news-title22 {
    height: 12em;
    line-height: 1.6em;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* batas 2 baris */
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    color: #000;
    text-align: left;
}

.text-ellipsis-2 {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* batas 2 baris */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.4em;
    max-height: calc(1.4em * 2);
    white-space: normal;
}